<template>
  <button class="big-button user-style" :class="{ disabled: props.disabled }" :disabled="props.disabled">
    <slot></slot>
  </button>
</template>
<script setup lang="ts">
import { toRefs } from 'vue'

const props = withDefaults(
  defineProps<{
    bgColor?: string
    color?: string
    disabled?: boolean
  }>(),
  {
    bgColor: '#4efefa',
    color: '#fff',
    disabled: false
  }
)

const { bgColor, color } = toRefs(props)
</script>
<style scoped lang="scss">
.big-button {
  width: 180px;
  background-color: #4efefa;
  color: #fff;
  height: 60px;
  text-align: center;
  line-height: 60px;
  font-size: 26px;
  font-weight: 700;
  border-radius: 8px;
  cursor: pointer;
  user-select: none;
  outline: none;
  margin: 0;
  padding: 0;
  border: none;
}
.user-style {
  color: v-bind(color);
  background-color: v-bind(bgColor);
}
.big-button.disabled {
  cursor: not-allowed;
  background-color: #afafaf;
  color: #868686;
}
</style>
